      PROGRAM testdis


      INTEGER  MAXCLY, MAXCMU, MAXPHI, MAXULV, MAXUMU
      PARAMETER ( MAXCLY = 6, MAXCMU = 48, MAXPHI = 3, MAXULV = 5,
     &            MAXUMU = 48 )
      CHARACTER  HEADER*127
      LOGICAL  DELTAM, LAMBER, PLANK, ONLYFL, PRNT(7), USRANG, USRTAU
      INTEGER  IBCND, NLYR, NUMU, NSTR, NPHI, NTAU
      REAL     ACCUR, ALBEDO, BTEMP, DTAUC( MAXCLY ), FBEAM, FISOT,
     &         HL( 0:MAXCMU ), PHI( MAXPHI ), PMOM( 0:MAXCMU, MAXCLY ),
     &         PHI0, SSALB( MAXCLY ), TEMPER( 0:MAXCLY ), TEMIS, TTEMP,
     &         WVNMLO, WVNMHI, UMU( MAXUMU ), UMU0, UTAU( MAXULV )

      REAL     RFLDIR( MAXULV ), RFLDN( MAXULV ), FLUP( MAXULV ),
     &         DFDT( MAXULV ), UAVG( MAXULV ), U0U( MAXUMU, MAXULV ),
     &         UU( MAXUMU, MAXULV, MAXPHI ), ALBMED( MAXUMU ),
     &         TRNMED( MAXUMU )


      Real gg

      accur = 0.0

      ibcnd = 0
      pi = 2*asin(1.0)

C zero pmom
      do i = 0,maxcmu
         do j = 1,maxcly
            pmom(i,j) = 0.0
         end do
      end do


C     COMPLETE DOCUMENTATION SEE: DISORT.DOC

      nstr = 48  !number of streams ( = 2N )

C     delta-N scaling
       deltam = .false.  !if .false. then delta-m turned off


      nphi = 1
      phi(1) = 0.0
      phi0 = 0.0

C TWO LAYER ATMOSPHERE
      nlyr = 3     !NUMBER OF LAYERS

C LAYER NO 1 (isotropic scattering, no absorption)
      dtauc(1) = 0.1 !optical depth layer 1
      ssalb(1) = 1.0  !single scattering albedo
      pmom(0,1) = 1.0           !zeroth moment of phasefunction, layer 1
      pmom(2,1) = 0.1
     
C LAYER NO 2 (large particles, HG phase function, absorption
      dtauc(2) = 0.1 !optical depth layer 2
      ssalb(2) = 1.0 !single scattering albedo layer 2
      pmom(0,2) = 1.0 !zeroth moment of phasefunction, layer 

      gg = 0.95  !asymmetry factor

C Henyey Greenstein phasefunction
      do l = 1,nstr
         pmom(l,2) = gg**l
         pmom(l,1) = gg**l
      end do

C  LAYER NO 3 (Rayleigh scattering,conservative scattering)
      dtauc(3) = 0.1
      ssalb(3) = 1.0
      pmom(0,3) = 1.0 ! zeroth moment of phasefunction, layer 3
      pmom(2,3) = 0.1 ! 2nd moment, i.e. Rayleigh phase function


      


      plank = .false.
      lamber = .true.  !use Lambert reflector
      albedo = 0.05    ! surface albedo 

      onlyfl = .false.  !(if false then intensities also calculated)

C USER LEVEL OUTPUT
      USRTAU = .true. ! if false, output at computational layers
      NTAU = 1
      UTAU(1) = dtauc(1) + dtauc(2) + dtauc(3) ! at surface

C USER OUTPUT POLAR ANGLES

      usrang = .true. !if false, output at quadrature points
      numu = 1
      umu(1) = -0.4  
   
      fbeam =1.0       ! flux of parallel beam at top of atmosphere
      umu0 = 0.51       ! cosine of incoming beam
     
     


     


      





      do i = 1,7
         prnt(i) = .true.
      end do

       call  DISORT( NLYR, DTAUC, SSALB, PMOM, TEMPER, WVNMLO,
     &               WVNMHI, USRTAU, NTAU, UTAU, NSTR, USRANG, NUMU,
     &               UMU, NPHI, PHI, IBCND, FBEAM, UMU0, PHI0,
     &               FISOT, LAMBER, ALBEDO, HL, BTEMP, TTEMP, TEMIS,
     &               DELTAM, PLANK, ONLYFL, ACCUR, PRNT, HEADER,
     &               MAXCLY, MAXULV, MAXUMU, MAXCMU, MAXPHI, RFLDIR,
     &               RFLDN, FLUP, DFDT, UAVG, UU, U0U, ALBMED,
     &               TRNMED )

c       write(2,*) utau(1), rfldn(1)
c       write(6,*) utau(1), rfldn(1)




      END

